Gocator API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoAnalog Class Reference
GoSdk/Output » Analog

## Description

Represents Analog output settings.

Inheritance diagram for GoAnalog:

## Public Member Functions
kStatus | GoAnalog_ClearSource (GoAnalog analog)
| Clears the currently selected source identifier. More...
k64f | GoAnalog_CurrentInvalid (GoAnalog analog)
| Gets the current output level associated with an invalid measurement. More...
kBool | GoAnalog_CurrentInvalidEnabled (GoAnalog analog)
| Gets the status of the invalid current enabled option. More...
k64f | GoAnalog_CurrentInvalidLimitMax (GoAnalog analog)
| Gets the maximum allowable current output level to be set for the invalid value current. More...
k64f | GoAnalog_CurrentInvalidLimitMin (GoAnalog analog)
| Gets the minimum allowable current output level to be set for the invalid value current. More...
k64f | GoAnalog_CurrentLimitMax (GoAnalog analog)
| Gets the maximum valid value for CurrentMin, CurrentMax and CurrentInvalid settings. More...
k64f | GoAnalog_CurrentLimitMin (GoAnalog analog)
| Gets the minimum valid value for CurrentMin, CurrentMax and CurrentInvalid settings. More...
k64f | GoAnalog_CurrentMax (GoAnalog analog)
| Gets the maximum current output level. More...
k64f | GoAnalog_CurrentMaxLimitMax (GoAnalog analog)
| Gets the maximum allowable current output level to be set for the maximum current. More...
k64f | GoAnalog_CurrentMaxLimitMin (GoAnalog analog)
| Gets the minimum allowable current output level to be set for the maximum current. More...
k64f | GoAnalog_CurrentMin (GoAnalog analog)
| Gets the minimum current output level. More...
k64f | GoAnalog_CurrentMinLimitMax (GoAnalog analog)
| Gets the maximum allowable current output level to be set for the minimum current. More...
k64f | GoAnalog_CurrentMinLimitMin (GoAnalog analog)
| Gets the minimum allowable current output level to be set for the minimum current. More...
k64f | GoAnalog_DataScaleMax (GoAnalog analog)
| Gets the measurement value associated with the maximum output current value. More...
k64f | GoAnalog_DataScaleMin (GoAnalog analog)
| Gets the measurement value associated with the minimum output current value. More...
k64s | GoAnalog_Delay (GoAnalog analog)
| Gets the output delay. More...
GoOutputDelayDomain | GoAnalog_DelayDomain (GoAnalog analog)
| Gets the output delay domain. More...
kStatus | GoAnalog_EnableCurrentInvalid (GoAnalog analog, kBool enable)
| Enables the current output level associated with an invalid measurement. More...
kStatus | GoAnalog_EnableSchedule (GoAnalog analog, kBool enabled)
| Enables or disables the scheduler for this output. More...
GoAnalogEvent | GoAnalog_Event (GoAnalog analog)
| Gets the event which triggers this output to fire. More...
k32u | GoAnalog_OptionAt (GoAnalog analog, kSize index)
| Gets the measurement value source option at the specified index. More...
kSize | GoAnalog_OptionCount (GoAnalog analog)
| Gets the number of measurement value source options. More...
kBool | GoAnalog_ScheduleEnabled (GoAnalog analog)
| Gets the enabled state of the scheduler for this output. More...
kStatus | GoAnalog_SetCurrentInvalid (GoAnalog analog, k64f invalid)
| Sets the current output level associated with an invalid measurement. More...
kStatus | GoAnalog_SetCurrentMax (GoAnalog analog, k64f max)
| Sets the maximum current output level. More...
kStatus | GoAnalog_SetCurrentMin (GoAnalog analog, k64f min)
| Sets the minimum current output level. More...
kStatus | GoAnalog_SetDataScaleMax (GoAnalog analog, k64f max)
| Sets the measurement value associated with the maximum output current value. More...
kStatus | GoAnalog_SetDataScaleMin (GoAnalog analog, k64f min)
| Sets the measurement value associated with the minimum output current value. More...
kStatus | GoAnalog_SetDelay (GoAnalog analog, k64s delay)
| Sets the delay from exposure until output is triggered, in units based on GoDomain mm when GoDomain is distance, uS when GoDomain is time. More...
kStatus | GoAnalog_SetDelayDomain (GoAnalog analog, GoOutputDelayDomain delayDomain)
| Sets the output delay domain. More...
kStatus | GoAnalog_SetEvent (GoAnalog analog, GoAnalogEvent event)
| Set the event which triggers this output to fire. More...
kStatus | GoAnalog_SetSource (GoAnalog analog, k32u sourceId)
| Selects a source type and source identifier for output. More...
k32u | GoAnalog_Source (GoAnalog analog)
| Gets the selected source identifier. More...

The documentation for this class was generated from the following file:

- Outputs/GoAnalog.h